## PSFGEN script from the NAMD installation folder
## USAGE: export NAMD_HOME=/usr/local/src/NAMD_2.14_Linux-x86_64-multicore/
## USAGE: ./gen.tcl

${NAMD_HOME}/psfgen << ENDMOL

topology topology_parameters/top_all36_prot.rtf 
topology topology_parameters/FeFe_topology.top

segment A {
 first NTER
 last CTER
 residue 1 MET
 residue 2 PHE
 residue 3 SER
 residue 4 GLY
 residue 5 ALA
 residue 6 VAL
 residue 7 LYS
 residue 8 ILE
 residue 9 GLY
 residue 10 ASP
 residue 11 LEU
 residue 12 HSD
 residue 13 ASP
 residue 14 PHE
 residue 15 ILE
 residue 16 SER
 residue 17 PRO
 residue 18 ALA
 residue 19 GLN
 residue 20 ALA
 residue 21 CYS
 residue 22 VAL
 residue 23 VAL
 residue 24 ASN
 residue 25 LEU
 residue 26 GLU
 residue 27 GLY
 residue 28 GLY
 residue 29 LYS
 residue 30 LEU
 residue 31 PRO
 residue 32 ASN
 residue 33 ASN
 residue 34 VAL
 residue 35 LEU
 residue 36 ALA
 residue 37 ASP
 residue 38 ALA
 residue 39 GLU
 residue 40 ALA
 residue 41 GLY
 residue 42 THR
 residue 43 VAL
 residue 44 GLN
 residue 45 LEU
 residue 46 GLN
 residue 47 PRO
 residue 48 ARG
 residue 49 LYS
 residue 50 PRO
 residue 51 GLN
 residue 52 GLY
 residue 53 PHE
 residue 54 ALA
 residue 55 GLN
 residue 56 THR
 residue 57 LEU
 residue 58 PRO
 residue 59 ALA
 residue 60 ALA
 residue 61 ALA
 residue 62 ASP
 residue 63 GLU
 residue 64 ALA
 residue 65 ILE
 residue 66 LYS
 residue 67 VAL
 residue 68 SER
 residue 69 LEU
 residue 70 HSD
 residue 71 ASP
 residue 72 CYS
 residue 73 LEU
 residue 74 ALA
 residue 75 CYS
 residue 76 SER
 residue 77 GLY
 residue 78 CYS
 residue 79 VAL
 residue 80 THR
 residue 81 SER
 residue 82 ALA
 residue 83 GLU
 residue 84 ALA
 residue 85 VAL
 residue 86 LEU
 residue 87 LEU
 residue 88 GLN
 residue 89 HSD
 residue 90 GLN
 residue 91 SER
 residue 92 ALA
 residue 93 GLY
 residue 94 GLU
 residue 95 LEU
 residue 96 LEU
 residue 97 GLN
 residue 98 ARG
 residue 99 LEU
 residue 100 ALA
 residue 101 ASP
 residue 102 PRO
 residue 103 ASP
 residue 104 TRP
 residue 105 THR
 residue 106 VAL
 residue 107 VAL
 residue 108 VAL
 residue 109 SER
 residue 110 LEU
 residue 111 SER
 residue 112 PRO
 residue 113 GLN
 residue 114 SER
 residue 115 ILE
 residue 116 ALA
 residue 117 ALA
 residue 118 LEU
 residue 119 ALA
 residue 120 ALA
 residue 121 VAL
 residue 122 HSD
 residue 123 ARG
 residue 124 LEU
 residue 125 SER
 residue 126 SER
 residue 127 ALA
 residue 128 GLU
 residue 129 CYS
 residue 130 ALA
 residue 131 ALA
 residue 132 ARG
 residue 133 LEU
 residue 134 THR
 residue 135 ALA
 residue 136 PHE
 residue 137 LEU
 residue 138 ARG
 residue 139 HSD
 residue 140 LEU
 residue 141 GLY
 residue 142 VAL
 residue 143 ALA
 residue 144 ALA
 residue 145 VAL
 residue 146 PHE
 residue 147 ASP
 residue 148 ILE
 residue 149 ALA
 residue 150 ALA
 residue 151 ALA
 residue 152 ARG
 residue 153 GLN
 residue 154 VAL
 residue 155 ALA
 residue 156 LEU
 residue 157 ALA
 residue 158 GLU
 residue 159 ALA
 residue 160 ALA
 residue 161 ARG
 residue 162 GLU
 residue 163 PHE
 residue 164 LEU
 residue 165 GLN
 residue 166 ARG
 residue 167 TYR
 residue 168 ARG
 residue 169 SER
 residue 170 SER
 residue 171 ARG
 residue 172 GLY
 residue 173 GLY
 residue 174 SER
 residue 175 THR
 residue 176 ALA
 residue 177 GLU
 residue 178 ALA
 residue 179 ALA
 residue 180 ALA
 residue 181 ALA
 residue 182 ALA
 residue 183 GLY
 residue 184 GLN
 residue 185 ASP
 residue 186 ALA
 residue 187 ALA
 residue 188 GLY
 residue 189 GLY
 residue 190 GLY
 residue 191 ASP
 residue 192 ASP
 residue 193 MET
 residue 194 ASP
 residue 195 VAL
 residue 196 ASP
 residue 197 ARG
 residue 198 PRO
 residue 199 LYS
 residue 200 PRO
 residue 201 SER
 residue 202 SER
 residue 203 ASP
 residue 204 GLY
 residue 205 HSD
 residue 206 ARG
 residue 207 ASN
 residue 208 ALA
 residue 209 VAL
 residue 210 GLY
 residue 211 GLY
 residue 212 GLY
 residue 213 SER
 residue 214 PRO
 residue 215 GLY
 residue 216 PRO
 residue 217 LEU
 residue 218 PRO
 residue 219 MET
 residue 220 LEU
 residue 221 ALA
 residue 222 SER
 residue 223 ALA
 residue 224 CYS
 residue 225 PRO
 residue 226 GLY
 residue 227 TRP
 residue 228 VAL
 residue 229 CYS
 residue 230 TYR
 residue 231 ALA
 residue 232 GLU
 residue 233 LYS
 residue 234 THR
 residue 235 HSD
 residue 236 GLY
 residue 237 ASP
 residue 238 HSD
 residue 239 VAL
 residue 240 LEU
 residue 241 PRO
 residue 242 TYR
 residue 243 ILE
 residue 244 ALA
 residue 245 THR
 residue 246 GLY
 residue 247 LYS
 residue 248 SER
 residue 249 PRO
 residue 250 GLN
 residue 251 ALA
 residue 252 VAL
 residue 253 LEU
 residue 254 GLY
 residue 255 THR
 residue 256 LEU
 residue 257 VAL
 residue 258 LYS
 residue 259 ARG
 residue 260 GLN
 residue 261 TRP
 residue 262 CYS
 residue 263 ALA
 residue 264 ALA
 residue 265 ALA
 residue 266 GLY
 residue 267 LEU
 residue 268 ALA
 residue 269 PRO
 residue 270 ASP
 residue 271 ARG
 residue 272 VAL
 residue 273 TYR
 residue 274 HSD
 residue 275 CYS
 residue 276 SER
 residue 277 VAL
 residue 278 MET
 residue 279 PRO
 residue 280 CYS
 residue 281 TYR
 residue 282 ASP
 residue 283 LYS
 residue 284 LYS
 residue 285 LEU
 residue 286 GLU
 residue 287 GLY
 residue 288 ALA
 residue 289 ARG
 residue 290 ASP
 residue 291 ASP
 residue 292 PHE
 residue 293 TRP
 residue 294 LEU
 residue 295 PRO
 residue 296 GLY
 residue 297 THR
 residue 298 SER
 residue 299 VAL
 residue 300 PRO
 residue 301 GLU
 residue 302 THR
 residue 303 ASP
 residue 304 CYS
 residue 305 VAL
 residue 306 LEU
 residue 307 ALA
 residue 308 THR
 residue 309 THR
 residue 310 GLU
 residue 311 LEU
 residue 312 GLN
 residue 313 GLU
 residue 314 LEU
 residue 315 LEU
 residue 316 GLU
 residue 317 GLN
 residue 318 ARG
 residue 319 GLN
 residue 320 ALA
 residue 321 ASP
 residue 322 LEU
 residue 323 HSD
 residue 324 SER
 residue 325 LEU
 residue 326 GLN
 residue 327 GLY
 residue 328 ILE
 residue 329 PRO
 residue 330 PHE
 residue 331 ASP
 residue 332 ALA
 residue 333 ILE
 residue 334 LEU
 residue 335 PRO
 residue 336 ALA
 residue 337 ALA
 residue 338 ALA
 residue 339 ALA
 residue 340 ALA
 residue 341 ALA
 residue 342 ALA
 residue 343 ALA
 residue 344 PRO
 residue 345 SER
 residue 346 GLY
 residue 347 THR
 residue 348 ARG
 residue 349 ALA
 residue 350 SER
 residue 351 SER
 residue 352 SER
 residue 353 GLY
 residue 354 GLY
 residue 355 SER
 residue 356 SER
 residue 357 ALA
 residue 358 GLN
 residue 359 HSD
 residue 360 ASP
 residue 361 THR
 residue 362 VAL
 residue 363 GLN
 residue 364 LEU
 residue 365 PRO
 residue 366 THR
 residue 367 SER
 residue 368 SER
 residue 369 SER
 residue 370 SER
 residue 371 GLY
 residue 372 SER
 residue 373 GLY
 residue 374 SER
 residue 375 GLY
 residue 376 VAL
 residue 377 THR
 residue 378 ALA
 residue 379 THR
 residue 380 ALA
 residue 381 SER
 residue 382 SER
 residue 383 GLY
 residue 384 SER
 residue 385 GLY
 residue 386 GLY
 residue 387 TYR
 residue 388 LEU
 residue 389 GLU
 residue 390 HSD
 residue 391 VAL
 residue 392 PHE
 residue 393 ARG
 residue 394 SER
 residue 395 ALA
 residue 396 ALA
 residue 397 ARG
 residue 398 GLU
 residue 399 LEU
 residue 400 PHE
 residue 401 GLY
 residue 402 LEU
 residue 403 GLU
 residue 404 LEU
 residue 405 PRO
 residue 406 PRO
 residue 407 GLY
 residue 408 PRO
 residue 409 LEU
 residue 410 PRO
 residue 411 VAL
 residue 412 LYS
 residue 413 VAL
 residue 414 GLY
 residue 415 ARG
 residue 416 ASN
 residue 417 ALA
 residue 418 ASP
 residue 419 LEU
 residue 420 ARG
 residue 421 GLU
 residue 422 LEU
 residue 423 SER
 residue 424 LEU
 residue 425 GLU
 residue 426 ALA
 residue 427 PRO
 residue 428 ASP
 residue 429 GLY
 residue 430 THR
 residue 431 VAL
 residue 432 LEU
 residue 433 ARG
 residue 434 PHE
 residue 435 ALA
 residue 436 ALA
 residue 437 ALA
 residue 438 TYR
 residue 439 GLY
 residue 440 PHE
 residue 441 ARG
 residue 442 ASN
 residue 443 ILE
 residue 444 GLN
 residue 445 GLY
 residue 446 LEU
 residue 447 MET
 residue 448 ARG
 residue 449 LYS
 residue 450 VAL
 residue 451 LYS
 residue 452 LEU
 residue 453 GLY
 residue 454 ARG
 residue 455 CYS
 residue 456 GLU
 residue 457 TYR
 residue 458 ASP
 residue 459 TYR
 residue 460 VAL
 residue 461 GLU
 residue 462 VAL
 residue 463 MET
 residue 464 ALA
 residue 465 CYS
 residue 466 PRO
 residue 467 SER
 residue 468 GLY
 residue 469 CYS
 residue 470 LEU
 residue 471 ASN
 residue 472 GLY
 residue 473 GLY
 residue 474 GLY
 residue 475 GLN
 residue 476 PRO
 residue 477 LYS
 residue 478 PRO
 residue 479 THR
 residue 480 ALA
 residue 481 LYS
 residue 482 GLN
 residue 483 THR
 residue 484 PRO
 residue 485 ALA
 residue 486 GLN
 residue 487 LEU
 residue 488 LEU
 residue 489 GLU
 residue 490 GLN
 residue 491 LEU
 residue 492 GLU
 residue 493 GLU
 residue 494 LEU
 residue 495 TYR
 residue 496 ALA
 residue 497 ALA
 residue 498 GLY
 residue 499 GLY
 residue 500 ILE
 residue 501 ALA
 residue 502 ALA
 residue 503 ARG
 residue 504 PRO
 residue 505 GLU
 residue 506 ALA
 residue 507 ASP
 residue 508 PRO
 residue 509 ALA
 residue 510 LEU
 residue 511 GLN
 residue 512 GLN
 residue 513 LEU
 residue 514 TYR
 residue 515 MET
 residue 516 SER
 residue 517 PHE
 residue 518 VAL
 residue 519 GLN
 residue 520 GLY
 residue 521 GLU
 residue 522 PRO
 residue 523 GLY
 residue 524 SER
 residue 525 GLN
 residue 526 ALA
 residue 527 ALA
 residue 528 HSD
 residue 529 GLN
 residue 530 LEU
 residue 531 MET
 residue 532 HSD
 residue 533 THR
 residue 534 HSD
 residue 535 TYR
 residue 536 HSD
 residue 537 LYS
 residue 538 ARG
 residue 539 ASP
 residue 540 LYS
 residue 541 THR
 residue 542 VAL
 residue 543 THR
 residue 544 ALA
 residue 545 THR
 residue 546 LEU
 residue 547 ALA
 residue 548 ASP
 residue 549 TRP
}

segment HYDH {
 auto none
 residue 550 FEN
 residue 551 FS4
}

segment HYDA {
 auto none
 residue 552 FS4
}

patch CYA A:224
patch CYA A:280
patch CYA A:465
patch CYA A:469
patch CYA A:21
patch CYA A:72
patch CYA A:75 
patch CYA A:78

patch FES1 A:224  HYDH:551
patch FES2 A:280  HYDH:551
patch FES3 A:469  HYDH:551
patch FES4 A:465  HYDH:551
patch FES5 A:469  HYDH:550

patch FES1 A:72  HYDA:552
patch FES2 A:78  HYDA:552
patch FES3 A:21  HYDA:552
patch FES4 A:75  HYDA:552

regenerate angles dihedrals
writepsf solute.psf

pdbalias atom ILE CD1 CD
pdbalias residue HIS HSD
pdbalias residue HCN FEN
pdbalias residue SF4 FS4
coordpdb molecule.pdb A
coordpdb HYDH.pdb HYDH
coordpdb HYDA.pdb HYDA
guesscoord
writepdb solute.pdb

ENDMOL

